<div *ngIf="!small">
    <div style="display: flex; justify-content: center; margin: 30px auto;" *ngIf="job.state == 'running'">
        <div *ngIf="status == 'running'"
            class="running-state">
            <div style="display: flex; justify-content: space-between;">
                <p style="font-size: x-large; float: left;">{{job.query}}</p>
                <div style="float: right; width: 100px; text-align: center;">
                    <p style="font-size: x-large;" class="running round-corner">running</p>
                </div>
            </div>
            <div class="small-inset-shadow round-corner" style="width: 100%; height: 30px; margin-bottom: 20px;">
                <div class="round-corner progress running-bar"
                    [style]="{width:progress_fraction|percent, height:'30px'}">
                    {{progress_fraction|percent}}
                </div>
            </div>
        </div>
        <div *ngIf="status == 'queued'" style="display: flex; align-items: center; justify-content: space-between" class="running-state">
            <div>
                <p style="font-size: x-large; float: left;">{{job.query}}</p>
            </div>
            <div style="float: right; width: 110px; text-align: center;">
                <p style="font-size: x-large;" class="queue round-corner">in queue</p>
            </div>
        </div>
    </div>
    <div style="display: flex; justify-content: center; margin: 30px auto;" *ngIf="job.state == 'finished'">
        <button style="display: flex; align-items: center; justify-content: space-between"
            (click)="onSearchMegaClick()">
            <div>
                <p style="font-size: x-large; float: left;">{{job.query}}</p>
            </div>
            <div style="float: right; width: 110px; text-align: center;">
                <p style="font-size: x-large;" class="finished round-corner">finished</p>
            </div>
        </button>
    </div>
</div>


<div *ngIf="small">
    <div style="display: flex; align-items: center; margin: 30px auto;" *ngIf="job.state == 'running'">
        <div style="flex-direction: column; justify-content: space-between;" class="running-state">
            <div>
                <p style="font-size: x-large;">{{job.query}}</p>
            </div>
            <div style="width: 100%; text-align: center;">
                <p *ngIf="status == 'running'" style="font-size: x-large;" class="running round-corner">running</p>
                <p *ngIf="status == 'queued'" style="font-size: x-large;" class="queue round-corner">in queue</p>
            </div>
        </div>
    </div>
    <div style="display: flex; align-items: center; margin: 30px auto;" *ngIf="job.state == 'finished'">
        <div style="flex-direction: column; justify-content: space-between; width: 95%;">
            <button style="width: 100%;" (click)="onSearchMegaClick()">
                <div style="text-align: left;">
                    <p style="font-size: x-large;">{{job.query}}</p>
                </div>
                <div style="width: 100%; text-align: center;">
                    <p style="font-size: x-large;" class="finished round-corner">finished</p>
                </div>
            </button>
        </div>
    </div>
</div>